OPENOCD(1)

NAME
openocd - A free and open on-chip debugging, in-system programming and boundary-scan testing tool for ARM systems

SYNOPSIS
openocd [-fsdlchv] [--file <filename>] [--search <dirname>] [--debug <debuglevel>] [--log_output <filename>] [--command <cmd>] [--help] [--version]

DESCRIPTION
OpenOCD is an on-chip debugging, in-system programming and boundary-scan testing tool for ARM systems.

The debugger uses an IEEE 1149-1 compliant JTAG TAP bus master to access on-chip debug functionality available on ARM7/9, XScale, Cortex-M3, and Marvell Feroceon (as found in the Orion SoC family) based microcontrollers / system-on-chip solutions.

User interaction is realized through a telnet command line interface and a gdb (the GNU debugger) remote protocol server.

OpenOCD supports various different types of JTAG interfaces/programmers, please check the README for the complete list.

OPTIONS

-f, --file <filename>
    Use configuration file <filename>. If this option is omitted, the config file openocd.cfg in the current working directory will be used.

-s, --search <dirname>
    Search for config files and scripts in the directory <dirname>. If this option is omitted, openocd searches for config files and scripts in the current directory.

-d, --debug <debuglevel>
    Set debug level. Possible values are:
    * 0 (errors)
    * 1 (warnings)
    * 2 (informational messages)
    * 3 (debug messages)
    The default level is 2.

-l, --log_output <filename>
    Redirect log output to the file <filename>. Per default the log output is printed on stderr.

-c, --command <cmd>
    Run the command <cmd>.

-h, --help
    Show a help text and exit.

-v, --version
    Show version information and exit.

BUGS
Please report any bugs at http://developer.berlios.de/bugs/?group_id=4148 or on the mailing list openocd-development@lists.berlios.de.

LICENCE
OpenOCD is covered by the GNU General Public License (GPL), version 2 or later.

SEE ALSO
jtag(1)

The full documentation for openocd is maintained as a Texinfo manual. If the info and openocd programs are properly installed at your site, the command info flex should give you access to the complete manual.

Also, the OpenOCD wiki contains some more information and examples: http://openfacts.berlios.de/index-en.phtml?title=Open_On-Chip_Debugger

AUTHORS
Please see the file AUTHORS.

This manual page was written by Uwe Hermann <uwe@hermann-uwe.de>. It is licensed under the terms of the GNU GPL (version 2 or later).